Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.radio
Class CC1000Radio.LockRegister

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.radio.CC1000Radio.RadioRegister
              avrora.sim.radio.CC1000Radio.LockRegister

All Implemented Interfaces:
  State.IOReg

Enclosing class:
  CC1000Radio

protected class CC1000Radio.LockRegister
extends CC1000Radio.RadioRegister

Field Summary

Fields inherited from class avrora.sim.radio.CC1000Radio.RadioRegister
`def, id`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Method Summary
`protected void` | `decode(byte val)`
`protected void` | `printStatus()`
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.

Methods inherited from class avrora.sim.radio.CC1000Radio.RadioRegister
`reset, write, writeBit`

Methods inherited from class avrora.sim.State.RWIOReg
`readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decode

    protected void decode(byte val)

  Specified by:
    `decode` in class `CC1000Radio.RadioRegister`

### printStatus

    protected void printStatus()

  Overrides:
    `printStatus` in class `CC1000Radio.RadioRegister`

### read

    public byte read()

  Description copied from class: `State.RWIOReg`
  The `read()` method reads the 8-bit value of the IO register as a byte. For simple `RWIOReg` instances, this simply returns the internally stored value.

  Specified by:
    `read` in interface `State.IOReg`
  Overrides:
    `read` in class `State.RWIOReg`
  Returns:
    the value of the register as a byte

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD